<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="2.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml">

  <xsl:include href="footer.xsl"/>
  <xsl:param name="url" />

  <xsl:template match="/">
    <head>
      <link href="css/inca.css" rel="stylesheet" type="text/css" />
<script language="javascript">
<![CDATA[
function setParam(form) {
	var suite = form.suiteName.value;
	var xsl = new Object();
	
	// define xsl param for particular suite 
	// (use line below as example for your suite)
	xsl['usage'] = 'job.xsl';

	var xslparam = xsl[suite];
	if (xslparam == undefined){
		xslparam = 'default.xsl';
	}
	form.xsl.value = xslparam;
	
	var xml = new Object();
	
	// define xmlFile param for particular suite 
	// (use lines below as example for your suite)
	xml['usage'] = 'jobs.xml';
	xml['security'] = 'security.xml';
	xml['ctss-v3'] = 'ctssv3.xml';
	
	var xmlparam = xml[suite];
	if (xmlparam == undefined){
		xmlparam = 'swStack.xml';
	}
	form.xmlFile.value = xmlparam;
}
]]>
</script>
    </head>
    <body>
      <form method="get" action="xslt.jsp">
      <table border="0" align="center" cellpadding="10" width="300">
        <tr><td colspan="2"><div align="left">
        Welcome to the Inca Consumer web pages!</div></td></tr>
        <tr>
          <td colspan="2"><div align="left"><em>
          To display the status page for a suite, please select one suite and 
          one resource below and click 'Submit'.</em></div>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:if test="count(//suites/suite)=0">
            <p><i>No suites found</i></p>
            </xsl:if>
            <xsl:if test="count(//suites/suite)>0">
            <p>SUITE:</p>
            <p>  
            <select name="suiteName" size="10" onClick="setParam(form)">
              <xsl:for-each select="//suites/suite">
                <xsl:sort select="." />
                <xsl:variable name="suite" select="." />
                <option value="{$suite}"><xsl:value-of select="."/></option>
              </xsl:for-each>
            </select>        
            </p>
            </xsl:if>
          </td>
          <td>
            <xsl:if test="count(//resources/resource)=0">
            <p><i>No resources found</i></p>
            </xsl:if>
            <xsl:if test="count(//resources/resource)>0">
            <p>RESOURCE:</p>
            <p>          
              <select name="resourceID" size="10">
                <xsl:for-each select="//resources/resource[name]">
                  <xsl:sort select="." />
                  <xsl:variable name="name" select="name" />
                  <option value="{$name}"><xsl:value-of select="name"/></option>
                </xsl:for-each>
              </select>        
            </p>
            </xsl:if>
        </td>
      </tr>
      <tr>
      <td colspan="2"><div align="center">
       <input type="hidden" name="xsl" /> 
       <input type="hidden" name="xmlFile" /> 
       <input type="submit" name="Submit" value="Submit"/>
    </div></td>
    </tr>
	<xsl:call-template name="footer" />
    </table>
    </form>
    </body>
  </xsl:template>

</xsl:stylesheet>
