<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="inca.tld" prefix="inca" %>
<%@ taglib uri="xslt.tld" prefix="xslt" %>
<%@page import="java.net.URL"%>

<!-- The following input parameters are required for this script:
      1. a suiteName or a instanceID
      2. a resourceID (e.g. "teragrid") or a configID
      3. the xsl filename to display the suite or report xml results  -->

<html>

<%
  String urlStr = request.getQueryString();
  String suiteName = request.getParameter("suiteName");
  String resourceID = request.getParameter("resourceID");
  String instanceID = request.getParameter("instanceID");
  String configID = request.getParameter("configID");
  String xmlFile = request.getParameter("xmlFile");
  String xsl = request.getParameter("xsl");
  String xslPath = null;

  if (xmlFile==null){
    xmlFile = "swStack.xml";
  }
  if ( xsl != null ) {
    URL url = ClassLoader.getSystemClassLoader().getResource( xsl );
    if( url == null ) {
      out.println( "Unable to locate xsl file: " + xsl );
      xsl = null;
    } else {
      xslPath = url.getFile();
    }
  }

  // check for input parameters
  if ( ( suiteName == null || suiteName.equals("") ||
         resourceID == null || resourceID.equals("") )
       &&
       ( configID == null || configID.equals("")  ) ) {
    out.println(
      "Please add an input parameter with either: <br><ol>" +
      "<li>a suiteName for a set of test results to display AND" +
      "a resourceID for the resource results to display, <i>OR</i></li>" +
      "<li>a instanceID AND a configID to display a single " +
      "report instance<i>OR</i></li>" +
      "<li>a configID to display a series instances</ol><br>" +
      "(e.g. \"http://this.jsp?suiteName=SuiteA&resourceID=teragrid\")" +
      "</li></ol>"
    );
  }else{
    // path to xsl file is required
    String type = "";
    String xml = "";
    // get results for a suite
    if ( (suiteName != null)  && (!suiteName.equals("")) ) {
      type = "suite";
      xml += "<combo>\n";
      %><inca:getAll2AllSummary
          suiteName="<%=suiteName%>" retAttrName="all2all"
      /><%
      xml += (String)pageContext.getAttribute("all2all");
      %><inca:getSuiteLatestInstances
          suiteName="<%=suiteName%>" retAttrName="suite"
      /><%
      xml += (String)pageContext.getAttribute("suite");
      %><inca:getResourceConfig
        resourceID="<%=resourceID%>" macros="__regexp__" retAttrName="resources"
      /><%
      xml += (String)pageContext.getAttribute("resources");
      %><inca:getXmlFromClasspath
        xmlFile="<%=xmlFile%>" retAttrName="swStack"
      /><%
      xml += ((String)pageContext.getAttribute("swStack")).replaceAll("<\\?xml.*\\?>", "");
      xml += "</combo>\n";
    } else if ( instanceID != null && ! instanceID.equals("")  ) {
      type ="test"; // get results for a single test
      %><inca:getInstance
        configID="<%=configID%>" instanceID="<%=instanceID%>"
        retAttrName="instance"
      /><%
      xml = (String)pageContext.getAttribute("instance");
    } else {
      %><inca:getSeries
        configID="<%=configID%>" retAttrName="series"
      /><%
      xml = (String)pageContext.getAttribute("series");
    }

    if ( (xsl != null) && (!xsl.equals("")) ){
      %><!-- from http://www.servletsuite.com/servlets/xsltag.htm -->
      <xslt:applyXSL xmlString="<%=xml%>" xslData="<%=xslPath%>">
        <xslt:setParameter name="url"><%=urlStr%></xslt:setParameter>
      </xslt:applyXSL>
      <%
    }else{
      out.println(
        "Please add an input parameter with the full " +
        "path to the xsl file you will use to format the " +
        "following xml <br>" +
        "(e.g. \"http://this.jsp?xsl=/path/to/xsl/file.xsl\"): " +
        "<br/><br/><pre>"
      );
      %>
          <inca:printXML xml="<%=xml%>"/>
          </pre>
      <%
    }
  }
%>

</html>
